Subject: Re: 6LSA IETF Drafts

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 4 May 2005 00:01:32 +0100

Brian,

> There is one important difference, which is that the M in MPLS
> stands for multiprotocol. A label switched architecture for
> one particular network layer protocol is not the same as
> a multiprotocol architecture.

Very true. Limiting the scope allows the potential of optimizations.
OTH, the M in MPLS stands for multiprotocol. And the G in GMPLS stands for
generalized.
So one might assume that they are capable of handling IPv6 already.

But I think there is a little fuzziness in your statement. :-)
I don't think there is such a thing as "a label switched architecture for
one particular network layer protocol." I mean: what is a protocol?

What the proposal appears to have is:
- A definition of a way to label layer 3 packets so that they can be
switched.
- A way to exchange and synchronize labels between 6LSRs.

I think the first point may fly (and it is not disimilar to suggestions in
previous IETF meetings, although they were more focused on IPv4).

I am interested to know how (and why) the second point differs from the
label distribution techniques developed in the MPLS and CCAMP WGs.

Cheers,
Adrian

> > Jim,
> >
> > Thanks for the heads-up.
> >
> > Please ensure that any BOF you hold does not conflict with either the
MPLS
> > or CCAMP working group meetins. I predict that many people will wish
to
> > attend all three meetings.
> >
> > After a preliminary reading of draft-chakravorty-6lsa-01.txt it seems
to
> > me that what you are suggesting has massive overlap with MPLS and
GMPLS.
> > That you are proposing a form of layer 3 switching which is not part
of
> > MPLS or GMPLS (but which has been suggested at several previous IETF
> > meetings) is a fairly minor fact since the data plane operation of
> > swapping and switching is unchanged. That is, you are proposing a new
form
> > of labeling.
> >
> > The bigger difference comes in how the labels are distributed, and in
this
> > context, one might ask what is wrong with existing label distribution
> > schemes.
> >
> > But clearly I need to read in more detail.
> >
> > Cheers,
> > Adrian
> >
> > ----- Original Message ----- 
> > From: "Bound, Jim" <[email-masked]>
> > To: <[email-masked]>
> > Cc: <[email-masked]>
> > Sent: Sunday, February 27, 2005 7:34 PM
> > Subject: 6LSA IETF Drafts
> >
> >
> > Folks,
> >
> > See below draft and two attached that will be available after the
IETF.
> > It provides a solution for IPv6 Label Switch Architecture that does
not
> > compete with MPLS or QOS work in progress in the industry at ITU, etc.
> >
> > http://ietf.org/internet-drafts/draft-chakravorty-6lsa-01.txt
> >
> > If some of you would do me a favor and review and send comments to
Sham
> > Chakravorty [email-masked], [email-masked], and Kevin Zhang
> > [email-masked] I would appreciate it.  We will have a BOF most
likely
> > on 6LSA at the Paris meeting to see if this would be its own working
> > group.  We will set up industry list for technical persons to work on
it
> > until then if we get enough responses. I am pretty sure we should do
> > this here in the IETF not go to the ITU.  Also we will be at the
> > Minneapolis IETF so if you have in person comments that is appreciate
> > too.
> >
> > Thanks
> > /jim
> >
> >
> >
> >
> >
> >
> >>_______________________________________________
> >>Rtgwg mailing list
> >>[email-masked]
> >>https://www1.ietf.org/mailman/listinfo/rtgwg
> >>
> >
> >
> >
> > --------------------------------------------------------------------
> > IETF IPv6 working group mailing list
> > [email-masked]
> > Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> > --------------------------------------------------------------------
> >
>
>
>

_______________________________________________
Rtgwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rtgwg